<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Countdown timer element map
* ------------------------------------------------------------------------------------------------
*/

if( ! function_exists( 'cheshalo_get_vc_map_countdown_timer' ) ) {
	function cheshalo_get_vc_map_countdown_timer() {
		return array(
			'name' => esc_html__( 'Countdown timer', 'cheshalo' ),
			'base' => 'cheshalo_countdown_timer',
			'category' => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Shows countdown timer', 'cheshalo' ),
			'icon' => CHESHALO_ASSETS . '/images/vc-icon/countdown-timer.svg',
			'params' => array(
				array(
					'param_name' => 'cheshalo_css_id',
					'type'       => 'cheshalo_css_id',
				),
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Date', 'cheshalo' ),
					'param_name' => 'date_divider'
				),
				array(
					'type' => 'cheshalo_datepicker',
					'heading' => esc_html__( 'Date', 'cheshalo' ),
					'param_name' => 'date',
					'hint' => esc_html__( 'Final date in the format Y/m/d. For example 2020/12/12 13:00', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type'             => 'cheshalo_switch',
					'heading'          => esc_html__( 'Hide countdown on finish', 'cheshalo' ),
					'param_name'       => 'hide_on_finish',
					'true_state'       => 'yes',
					'false_state'      => 'no',
					'default'          => 'no',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),

				/**
				 * Style
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Style', 'cheshalo' ),
					'param_name' => 'style_divider'
				),
				array(
					'type' => 'cheshalo_dropdown',
					'heading' => esc_html__( 'Style', 'cheshalo' ),
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Standard', 'cheshalo' ) => 'standard',
						esc_html__( 'Transparent', 'cheshalo' ) => 'transparent',
						esc_html__( 'Primary color', 'cheshalo' ) => 'active',
						esc_html__( 'Simple', 'cheshalo' ) => 'simple',
					),
					'style' => array(
						'active' => cheshalo_get_color_value( 'primary-color', '#7eb934' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__( 'Color Scheme', 'cheshalo' ),
					'param_name' => 'cheshalo_color_scheme',
					'value' => array(
						esc_html__( 'Inherit', 'cheshalo' ) => '',
						esc_html__( 'Light', 'cheshalo' ) => 'light',
						esc_html__( 'Dark', 'cheshalo' ) => 'dark',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_image_select',
					'heading' => esc_html__( 'Align', 'cheshalo' ),
					'param_name' => 'align',
					'value' => array(
						esc_html__( 'Left', 'cheshalo' ) => 'left',
						esc_html__( 'Center', 'cheshalo' ) => 'center',
						esc_html__( 'Right', 'cheshalo' ) => 'right',
					),
					'images_value' => array(
						'center' => CHESHALO_ASSETS_IMAGES . '/settings/align/center.jpg',
						'left' => CHESHALO_ASSETS_IMAGES . '/settings/align/left.jpg',
						'right' => CHESHALO_ASSETS_IMAGES . '/settings/align/right.jpg',
					),
					'std' => 'center',
					'wood_tooltip' => true,
					'hint' => esc_html__( 'Select image alignment.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column title-align',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Size', 'cheshalo' ),
					'param_name' => 'size',
					'value' => array(
						esc_html__( 'Medium (24px)', 'cheshalo' ) => 'medium',
						esc_html__( 'Small (20px)', 'cheshalo' ) => 'small',
						esc_html__( 'Large (28px)', 'cheshalo' ) => 'large',
						esc_html__( 'Extra Large (42px)', 'cheshalo' ) => 'xlarge',
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				 * Extra
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider'
				),
				( function_exists( 'vc_map_add_css_animation' ) ) ? vc_map_add_css_animation( true ) : '',
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS box', 'cheshalo' ),
					'param_name' => 'css',
					'group'      => esc_html__( 'Design Options', 'js_composer' ),
				),
				cheshalo_get_vc_responsive_spacing_map(),
			)
		);
	}
}
