<?php
namespace XTS\Modules\Header_Builder\Elements;

use XTS\Modules\Header_Builder\Element;

/**
 * ------------------------------------------------------------------------------------------------
 *  HTML Block element
 * ------------------------------------------------------------------------------------------------
 */
class HTMLBlock extends Element {

	public function __construct() {
		parent::__construct();

		$this->template_name = 'html-block';
	}

	public function map() {
		$description = esc_html__( 'Choose which HTML block to display in the header', 'cheshalo' );

		if ( function_exists( 'cheshalo_get_html_block_links' ) ) {
			$description .= cheshalo_get_html_block_links();
		}

		$this->args = array(
			'type'            => 'HTMLBlock',
			'title'           => esc_html__( 'HTML Block', 'cheshalo' ),
			'text'            => esc_html__( 'Page builder content', 'cheshalo' ),
			'icon'            => 'xts-i-html-block',
			'editable'        => true,
			'container'       => false,
			'edit_on_create'  => true,
			'drag_target_for' => array(),
			'drag_source'     => 'content_element',
			'removable'       => true,
			'addable'         => true,
			'params'          => array(
				'block_id' => array(
					'id'          => 'block_id',
					'title'       => esc_html__( 'HTML Block', 'cheshalo' ),
					'type'        => 'select',
					'tab'         => esc_html__( 'General', 'cheshalo' ),
					'value'       => '',
					'callback'    => 'get_html_block_options',
					'description' => $description,
				),
			),
		);
	}
}
