/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.promoPopup = function() {
		var promo_version = cheshalo_settings.promo_version;

		if ( typeof Cookies === 'undefined' ) {
			return;
		}

		if (cheshaloThemeModule.$body.hasClass('page-template-maintenance') || cheshalo_settings.enable_popup !== 'yes' || (cheshalo_settings.promo_popup_hide_mobile === 'yes' && cheshaloThemeModule.windowWidth < 768) || (Cookies.get('cheshalo_age_verify') !== 'confirmed' && cheshalo_settings.age_verify === 'yes')) {
			return;
		}

		var shown = false,
		    pages = Cookies.get('cheshalo_shown_pages');

		var showPopup = function() {
			$.magnificPopup.open({
				items          : {
					src: '.wd-promo-popup'
				},
				type           : 'inline',
				removalDelay   : 600, //delay removal by X to allow out-animation
				tClose         : cheshalo_settings.close,
				tLoading       : cheshalo_settings.loading,
				fixedContentPos: true,
				callbacks      : {
					beforeOpen: function() {
						this.wrap.addClass('wd-popup-slide-from-left');
					},
					close     : function() {
						Cookies.set('cheshalo_popup_' + promo_version, 'shown', {
							expires: parseInt(cheshalo_settings.promo_version_cookie_expires),
							path   : '/',
							secure : cheshalo_settings.cookie_secure_param
						});
					}
				}
			});

			cheshaloThemeModule.$document.trigger('wood-images-loaded');
		};

		$('.cheshalo-open-newsletter').on('click', function(e) {
			e.preventDefault();
			showPopup();
		});

		if (!pages) {
			pages = 0;
		}

		if (pages < cheshalo_settings.popup_pages) {
			pages++;

			Cookies.set('cheshalo_shown_pages', pages, {
				expires: 7,
				path   : '/',
				secure : cheshalo_settings.cookie_secure_param
			});

			return false;
		}

		if (Cookies.get('cheshalo_popup_' + promo_version) !== 'shown') {
			if (cheshalo_settings.popup_event === 'scroll') {
				cheshaloThemeModule.$window.on('scroll', function() {
					if (shown) {
						return false;
					}

					if (cheshaloThemeModule.$document.scrollTop() >= cheshalo_settings.popup_scroll) {
						showPopup();
						shown = true;
					}
				});
			} else {
				setTimeout(function() {
					showPopup();
				}, cheshalo_settings.popup_delay);
			}
		}
	};

	$(document).ready(function() {
		cheshaloThemeModule.promoPopup();
	});
})(jQuery);
